package com.seer.teach.mp.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.seer.teach.mp.entity.MpAgentEntity;
import com.seer.teach.mp.mapper.MpAgentMapper;
import com.seer.teach.mp.service.IMpAgentService;
import org.springframework.stereotype.Service;

/**
 * 代理商服务实现类
 */
@Service
public class MpAgentServiceImpl extends ServiceImpl<MpAgentMapper, MpAgentEntity> implements IMpAgentService {

    @Override
    public MpAgentEntity getAgentById(Integer id) {
        return this.getById(id);
    }

    @Override
    public Boolean saveAgent(MpAgentEntity agentEntity) {
        return this.save(agentEntity);
    }

    @Override
    public Boolean updateAgent(MpAgentEntity agentEntity) {
        return this.updateById(agentEntity);
    }
}